# Enable or Disable Usage Limit
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/usage-limits-management/enable-disable-usage-limit/index.md

## Overview {#overview}

The use case describes how you change the status of the usage limit over time.

## Sequence diagram {#sequence-diagram}

Diagram enable-disable-usage-limit

### Explanation {#explanation}

1. The server sends a `PUT` request to the `/contracts/{contract_id}/usage-limits/{usage_limit_code}/status` endpoint by passing in the request body the required `status` field with the `ACTIVE` or `SUSPEND` value depending on whether you want to enable or disable usage limit.  
   You can change the status of a usage limit on the account contract or card contract level by putting the `accountContractId` or `cardContractId`, respectively, in place of the `contract_id` in the path.  
   Note: Possible values for the `usage_limit_code` parameter are defined during the onboarding process. Refer to [Usage Limits](https://developer.mastercard.com/mastercard-processing-core/documentation/guides/usage-limits/index.md) for more information.
2. The API returns the HTTP status `204`. Tip: You can also define the time frame for which you want to change the status of the usage limit by sending optional fields `activationDate` and `deactivationDate` in the request body. Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/usage-limits-management/enable-disable-usage-limit/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `PUT /contracts/{contract_id}/usage-limits/{usage_limit_code}/status`

